package net.minecraft.client;

import net.minecraft.game.block.Block;
import java.util.ArrayList;
import java.util.List;

public final class SessionData {
    public static List allowedBlocks;
    public String username;
    public String sessionId;
    
    public SessionData(final String username, final String sessionId) {
        this.username = username;
        this.sessionId = sessionId;
    }
    
    static {
        (SessionData.allowedBlocks = (List)new ArrayList()).add(Block.stone);
        SessionData.allowedBlocks.add(Block.cobblestone);
        SessionData.allowedBlocks.add(Block.brick);
        SessionData.allowedBlocks.add(Block.dirt);
        SessionData.allowedBlocks.add(Block.planks);
        SessionData.allowedBlocks.add(Block.wood);
        SessionData.allowedBlocks.add(Block.leaves);
        SessionData.allowedBlocks.add(Block.torchWood);
        SessionData.allowedBlocks.add(Block.stairSingle);
        SessionData.allowedBlocks.add(Block.glass);
        SessionData.allowedBlocks.add(Block.cobblestoneMossy);
        SessionData.allowedBlocks.add(Block.sapling);
        SessionData.allowedBlocks.add(Block.plantYellow);
        SessionData.allowedBlocks.add(Block.plantRed);
        SessionData.allowedBlocks.add(Block.mushroomBrown);
        SessionData.allowedBlocks.add(Block.mushroomRed);
        SessionData.allowedBlocks.add(Block.sand);
        SessionData.allowedBlocks.add(Block.gravel);
        SessionData.allowedBlocks.add(Block.sponge);
        SessionData.allowedBlocks.add(Block.woolRed);
        SessionData.allowedBlocks.add(Block.woolOrange);
        SessionData.allowedBlocks.add(Block.woolYellow);
        SessionData.allowedBlocks.add(Block.woolLime);
        SessionData.allowedBlocks.add(Block.woolGreen);
        SessionData.allowedBlocks.add(Block.woolAquaGreen);
        SessionData.allowedBlocks.add(Block.woolCyan);
        SessionData.allowedBlocks.add(Block.woolBlue);
        SessionData.allowedBlocks.add(Block.woolPurple);
        SessionData.allowedBlocks.add(Block.woolIndigo);
        SessionData.allowedBlocks.add(Block.woolViolet);
        SessionData.allowedBlocks.add(Block.woolMagenta);
        SessionData.allowedBlocks.add(Block.woolPink);
        SessionData.allowedBlocks.add(Block.woolDarkGray);
        SessionData.allowedBlocks.add(Block.woolGray);
        SessionData.allowedBlocks.add(Block.woolWhite);
        SessionData.allowedBlocks.add(Block.oreCoal);
        SessionData.allowedBlocks.add(Block.oreIron);
        SessionData.allowedBlocks.add(Block.oreGold);
        SessionData.allowedBlocks.add(Block.blockSteel);
        SessionData.allowedBlocks.add(Block.blockGold);
        SessionData.allowedBlocks.add(Block.bookShelf);
        SessionData.allowedBlocks.add(Block.tnt);
        SessionData.allowedBlocks.add(Block.obsidian);
        System.out.println(SessionData.allowedBlocks.size());
    }
}
