package net.minecraft.client.gui;

import net.minecraft.game.item.ItemStack;
import net.minecraft.client.inventory.IInventory;

final class SlotCrafting extends Slot {
    private final IInventory craftMatrix;
    
    public SlotCrafting(final GuiContainer j, final IInventory craftMatrix, final IInventory b3, final int integer4, final int integer5, final int integer6) {
        super(j, b3, 0, integer5, integer6);
        this.craftMatrix = craftMatrix;
    }
    
    @Override
    public final boolean isItemValid(final ItemStack k) {
        return false;
    }
    
    @Override
    public final void onPickupFromSlot() {
        for (int i = 0; i < this.craftMatrix.getSizeInventory(); ++i) {
            if (this.craftMatrix.getStackInSlot(i) != null) {
                this.craftMatrix.decrStackSize(i, 1);
            }
        }
    }
}
