package net.minecraft.client.renderer;

import net.minecraft.game.entity.EntityLiving;
import net.minecraft.game.entity.player.EntityPlayer;
import java.util.Comparator;

public final class RenderSorter implements Comparator {
    private EntityPlayer baseEntity;
    
    public RenderSorter(final EntityPlayer entityPlayer) {
        this.baseEntity = entityPlayer;
    }
    
    public final int compare(Object obj, Object obj2) {
        WorldRenderer hVar = (WorldRenderer) obj;
        WorldRenderer hVar2 = (WorldRenderer) obj2;
        boolean z = hVar.isInFrustrum;
        boolean z2 = hVar2.isInFrustrum;
        if (!z || z2) {
            return ((!z2 || z) && hVar.distanceToEntitySquared(this.baseEntity) < hVar2.distanceToEntitySquared(this.baseEntity)) ? 1 : -1;
        }
        return 1;
    }
}
