package net.minecraft.client.renderer;

import javax.imageio.ImageIO;
import java.net.URL;
import java.net.HttpURLConnection;

final class ThreadDownloadImage extends Thread {
    private /* synthetic */ String location;
    private /* synthetic */ ImageBufferDownload buffer;
    private /* synthetic */ ThreadDownloadImageData imageData;
    
    ThreadDownloadImage(final ThreadDownloadImageData threadDownloadImageData, final String string, final ImageBufferDownload imageBufferDownload) {
        this.imageData = threadDownloadImageData;
        this.location = string;
        this.buffer = imageBufferDownload;
    }
    
    public final void run() {
        HttpURLConnection httpURLConnection = null;
        try {
            (httpURLConnection = (HttpURLConnection)new URL(this.location).openConnection()).setDoInput(true);
            httpURLConnection.setDoOutput(false);
            httpURLConnection.connect();
            if (httpURLConnection.getResponseCode() == 404) {
                return;
            }
            if (this.buffer == null) {
                this.imageData.image = ImageIO.read(httpURLConnection.getInputStream());
            }
            else {
                this.imageData.image = this.buffer.parseUserSkin(ImageIO.read(httpURLConnection.getInputStream()));
            }
        }
        catch (Exception ex) {
            ex.printStackTrace();
        }
        finally {
            httpURLConnection.disconnect();
        }
    }
}
