package net.minecraft.game.block;

import java.util.Random;

public final class BlockLog extends Block {
    protected BlockLog(final int blockID) {
        super(17, Material.wood);
        this.blockIndexInTexture = 20;
    }
    
    @Override
    public final int quantityDropped(final Random random) {
        return 1;
    }
    
    @Override
    public final int idDropped(final int integer, final Random random) {
        return Block.wood.blockID;
    }
    
    @Override
    public final int getBlockTextureFromSide(final int blockSide) {
        if (blockSide == 1) {
            return 21;
        }
        if (blockSide == 0) {
            return 21;
        }
        return 20;
    }
}
