package net.minecraft.game.block;

import net.minecraft.game.item.Item;
import java.util.Random;

public final class BlockOre extends Block {
    public BlockOre(final int blockID, final int textureSlot) {
        super(blockID, textureSlot, Material.rock);
    }
    
    @Override
    public final int idDropped(final int integer, final Random random) {
        if (this.blockID == Block.oreCoal.blockID) {
            return Item.coal.shiftedIndex;
        }
        if (this.blockID == Block.oreDiamond.blockID) {
            return Item.diamond.shiftedIndex;
        }
        return this.blockID;
    }
    
    @Override
    public final int quantityDropped(final Random random) {
        return 1;
    }
}
