package net.minecraft.client.gui;

public final class GuiErrorScreen extends GuiScreen {
    private String title;
    private String text;
    
    public GuiErrorScreen(final String title, final String text) {
        this.title = title;
        this.text = text;
    }
    
    @Override
    public final void initGui() {
    }
    
    @Override
    public final void drawScreen(final int xSize_lo, final int ySize_lo, final double double3) {
        Gui.drawGradientRect(0, 0, this.width, this.height, -12574688, -11530224);
        Gui.drawCenteredString(this.fontRenderer, this.title, this.width / 2, 90, 16777215);
        Gui.drawCenteredString(this.fontRenderer, this.text, this.width / 2, 110, 16777215);
        super.drawScreen(xSize_lo, ySize_lo, double3);
    }
    
    @Override
    protected final void keyTyped(final char character, final int integer) {
    }
}
