package net.minecraft.client.gui;

import net.minecraft.game.item.ItemStack;
import net.minecraft.game.entity.player.InventoryPlayer;
import net.minecraft.client.renderer.RenderHelper;
import org.lwjgl.opengl.GL11;
import java.util.ArrayList;
import net.minecraft.client.Minecraft;
import java.util.Random;
import java.util.List;
import net.minecraft.client.renderer.entity.RenderItem;

public final class GuiIngame extends Gui {
    private static RenderItem itemRenderer;
    private List chatMessageList;
    private Random rand;
    private Minecraft mc;
    private int updateCounter;
    
    public GuiIngame(final Minecraft d) {
        this.chatMessageList = (List)new ArrayList();
        this.rand = new Random();
        this.updateCounter = 0;
        this.mc = d;
    }
    
    public final void renderGameOverlay(final double double1) {
        final ScaledResolution scaledResolution;
        final int scaledWidth = (scaledResolution = new ScaledResolution(this.mc.displayWidth, this.mc.displayHeight)).getScaledWidth();
        final int scaledHeight = scaledResolution.getScaledHeight();
        final FontRenderer fontRenderer = this.mc.fontRenderer;
        this.mc.entityRenderer.setupOverlayRendering();
        GL11.glBindTexture(3553, this.mc.renderEngine.getTexture("/gui/gui.png"));
        GL11.glColor4d(1.0f, 1.0f, 1.0f, 1.0f);
        GL11.glEnable(3042);
        final InventoryPlayer inventory = this.mc.thePlayer.inventory;
        this.zLevel = -90.0f;
        this.drawTexturedModalRect(scaledWidth / 2 - 91, scaledHeight - 22, 0, 0, 182, 22);
        this.drawTexturedModalRect(scaledWidth / 2 - 91 - 1 + inventory.currentItem * 20, scaledHeight - 22 - 1, 0, 22, 24, 22);
        GL11.glBindTexture(3553, this.mc.renderEngine.getTexture("/gui/icons.png"));
        GL11.glEnable(3042);
        GL11.glBlendFunc(775, 769);
        this.drawTexturedModalRect(scaledWidth / 2 - 7, scaledHeight / 2 - 7, 0, 0, 16, 16);
        GL11.glDisable(3042);
        boolean b = this.mc.thePlayer.heartsLife / 3 % 2 == 1;
        if (this.mc.thePlayer.heartsLife < 10) {
            b = false;
        }
        int health = this.mc.thePlayer.health;
        int prevHealth = this.mc.thePlayer.prevHealth;
        this.rand.setSeed((long)(this.updateCounter * 312871));
        if (this.mc.playerController.shouldDrawHUD()) {
            final int i = this.mc.thePlayer.inventory.getPlayerArmorValue();
            for (int j = 0; j < 10; ++j) {
                int n = scaledHeight - 32;
                if (i > 0) {
                    final int integer1 = scaledWidth / 2 + 91 - (j << 3) - 9;
                    if ((j << 1) + 1 < i) {
                        this.drawTexturedModalRect(integer1, n, 34, 9, 9, 9);
                    }
                    if ((j << 1) + 1 == i) {
                        this.drawTexturedModalRect(integer1, n, 25, 9, 9, 9);
                    }
                    if ((j << 1) + 1 > i) {
                        this.drawTexturedModalRect(integer1, n, 16, 9, 9, 9);
                    }
                }
                int n2 = 0;
                if (b) {
                    n2 = 1;
                }
                final int integer2 = scaledWidth / 2 - 91 + (j << 3);
                if (health <= 4) {
                    n += this.rand.nextInt(2);
                }
                this.drawTexturedModalRect(integer2, n, 16 + n2 * 9, 0, 9, 9);
                if (b) {
                    if ((j << 1) + 1 < prevHealth) {
                        this.drawTexturedModalRect(integer2, n, 70, 0, 9, 9);
                    }
                    if ((j << 1) + 1 == prevHealth) {
                        this.drawTexturedModalRect(integer2, n, 79, 0, 9, 9);
                    }
                }
                if ((j << 1) + 1 < health) {
                    this.drawTexturedModalRect(integer2, n, 52, 0, 9, 9);
                }
                if ((j << 1) + 1 == health) {
                    this.drawTexturedModalRect(integer2, n, 61, 0, 9, 9);
                }
            }
            if (this.mc.thePlayer.isInsideOfMaterial()) {
                for (int j = (int)Math.ceil((this.mc.thePlayer.air - 2) * 10.0 / 300.0), n = (int)Math.ceil(this.mc.thePlayer.air * 10.0 / 300.0) - j, k = 0; k < j + n; ++k) {
                    if (k < j) {
                        this.drawTexturedModalRect(scaledWidth / 2 - 91 + (k << 3), scaledHeight - 32 - 9, 16, 18, 9, 9);
                    }
                    else {
                        this.drawTexturedModalRect(scaledWidth / 2 - 91 + (k << 3), scaledHeight - 32 - 9, 25, 18, 9, 9);
                    }
                }
            }
        }
        GL11.glDisable(3042);
        GL11.glEnable(2977);
        GL11.glPushMatrix();
        GL11.glRotated(180.0f, 1.0f, 0.0f, 0.0f);
        RenderHelper.enableStandardItemLighting();
        GL11.glPopMatrix();
        for (int i = 0; i < 9; ++i) {
            final int j = scaledWidth / 2 - 90 + i * 20 + 2;
            final int n = scaledHeight - 16 - 3;
            final int n3 = i;
            final int n4 = j;
            final int n5 = n;
            double n6 = double1;
            prevHealth = n5;
            health = n4;
            final ItemStack itemStack;
            if ((itemStack = this.mc.thePlayer.inventory.mainInventory[n3]) != null) {
                if ((n6 = itemStack.animationsToGo - n6) > 0.0f) {
                    GL11.glPushMatrix();
                    final double n7 = 1.0f + n6 / 5.0f;
                    GL11.glTranslated((double)(health + 8), (double)(prevHealth + 12), 0.0f);
                    GL11.glScaled(1.0f / n7, (n7 + 1.0f) / 2.0f, 1.0f);
                    GL11.glTranslated((double)(-(health + 8)), (double)(-(prevHealth + 12)), 0.0f);
                }
                GuiIngame.itemRenderer.renderItemIntoGUI(this.mc.renderEngine, itemStack, health, prevHealth);
                if (n6 > 0.0f) {
                    GL11.glPopMatrix();
                }
                GuiIngame.itemRenderer.renderItemOverlayIntoGUI(this.mc.fontRenderer, itemStack, health, prevHealth);
            }
        }
        RenderHelper.disableStandardItemLighting();
        GL11.glDisable(2977);
        if (this.mc.gameSettings.showFPS) {
            fontRenderer.drawStringWithShadow("Minecraft Indev (" + this.mc.debug + ")", 2, 2, 16777215);
            fontRenderer.drawStringWithShadow(this.mc.renderGlobal.getDebugInfoRenders(), 2, 12, 16777215);
            fontRenderer.drawStringWithShadow(this.mc.renderGlobal.getDebugInfoEntities(), 2, 22, 16777215);
            final FontRenderer fontRenderer2 = fontRenderer;
            final Minecraft mc = this.mc;
            fontRenderer2.drawStringWithShadow("P: " + mc.effectRenderer.getStatistics() + ". T: " + mc.theWorld.debugSkylightUpdates(), 2, 32, 16777215);
            final long maxMemory = Runtime.getRuntime().maxMemory();
            final long totalMemory = Runtime.getRuntime().totalMemory();
            final String string = new StringBuilder().append("Free memory: ").append((maxMemory - Runtime.getRuntime().freeMemory()) * 100L / maxMemory).append("% of ").append(maxMemory / 1024L / 1024L).append("MB").toString();
            Gui.drawString(fontRenderer, string, scaledWidth - fontRenderer.getStringWidth(string) - 2, 2, 14737632);
            final String string2 = new StringBuilder().append("Allocated memory: ").append(totalMemory * 100L / maxMemory).append("% (").append(totalMemory / 1024L / 1024L).append("MB)").toString();
            Gui.drawString(fontRenderer, string2, scaledWidth - fontRenderer.getStringWidth(string2) - 2, 12, 14737632);
        }
        else {
            fontRenderer.drawStringWithShadow("Minecraft Indev", 2, 2, 16777215);
        }
        for (int n = 0; n < this.chatMessageList.size() && n < 10; ++n) {
            if (((ChatLine)this.chatMessageList.get(n)).updateCounter < 200) {
                final FontRenderer fontRenderer3 = fontRenderer;
                this.chatMessageList.get(n);
                fontRenderer3.drawStringWithShadow(null, 2, scaledHeight - 8 - n * 9 - 20, 16777215);
            }
        }
    }
    
    public final void addChatMessage() {
        ++this.updateCounter;
        for (int i = 0; i < this.chatMessageList.size(); ++i) {
            final ChatLine chatLine = (ChatLine)this.chatMessageList.get(i);
            ++chatLine.updateCounter;
        }
    }
    
    static {
        GuiIngame.itemRenderer = new RenderItem();
    }
}
