package net.minecraft.client.gui;

import java.awt.FileDialog;
import java.awt.Component;
import java.io.FilenameFilter;
import java.io.File;

final class GuiLevelDialog extends Thread {
    private /* synthetic */ GuiLoadLevelScreen screen;
    
    GuiLevelDialog(final GuiLoadLevelScreen e) {
        this.screen = e;
    }
    
    public final void run() {
        try {
            final FileDialog saveFileDialog = this.screen.saveFileDialog();
            final File file;
            (file = new File(this.screen.mc.mcDataDir, "saves")).mkdir();
            String directory;
            if (!(directory = file.toString()).endsWith(File.separator)) {
                directory += File.separator;
            }
            saveFileDialog.setDirectory(directory);
            saveFileDialog.setFilenameFilter((FilenameFilter)new FilenameFilterLevel(this));
            saveFileDialog.setLocationRelativeTo((Component)this.screen.mc.mcCanvas);
            saveFileDialog.setVisible(true);
            if (saveFileDialog.getFile() != null) {
                String s;
                if (!(s = saveFileDialog.getDirectory()).endsWith(File.separator)) {
                    s += File.separator;
                }
                this.screen.selectedFile = new File(s + saveFileDialog.getFile());
            }
        }
        finally {
            this.screen.frozen = false;
        }
    }
}
