package net.minecraft.client.renderer;

import java.awt.Graphics;
import java.awt.image.DataBufferInt;
import java.awt.image.ImageObserver;
import java.awt.Image;
import java.awt.image.BufferedImage;

public class ImageBufferDownload {
    private int[] imageData;
    private int imageWidth;
    private int imageHeight;
    
    public BufferedImage parseUserSkin(final BufferedImage bufferedImage) {
        this.imageWidth = 64;
        this.imageHeight = 32;
        final BufferedImage bufferedImage2;
        final Graphics graphics;
        (graphics = (bufferedImage2 = new BufferedImage(this.imageWidth, this.imageHeight, 2)).getGraphics()).drawImage((Image)bufferedImage, 0, 0, (ImageObserver)null);
        graphics.dispose();
        this.imageData = ((DataBufferInt)bufferedImage2.getRaster().getDataBuffer()).getData();
        this.setAreaOpaque(0, 0, 32, 16);
        this.setAreaTransparent(32, 0, 64, 32);
        this.setAreaOpaque(0, 16, 64, 32);
        return bufferedImage2;
    }
    
    private void setAreaTransparent(int integer1, int integer2, int integer3, int integer4) {
        final int n = 32;
        final int n2 = 0;
        final int n3 = 64;
        final int n4 = 32;
        integer4 = n3;
        integer3 = n2;
        integer2 = (integer2 = n);
        boolean b;
    Label_0076:
        while (true) {
            while (integer2 < integer4) {
                for (int i = integer3; i < n4; ++i) {
                    if (this.imageData[integer2 + i * this.imageWidth] >>> 24 < 128) {
                        b = true;
                        break Label_0076;
                    }
                }
                ++integer2;
            }
        }
        if (!b) {
            for (int i7 = 32; i7 < 64; i7++) {
                for (int i8 = 0; i8 < 32; i8++) {
                    int[] iArr = this.imageData;
                    int i9 = (this.imageWidth * i8) + i7;
                    iArr[i9] = iArr[i9] & 16777215;
                }
            }
        }
    }
    
    private void setAreaOpaque(int integer1, final int integer2, final int integer3, final int integer4) {
        int i;
        int[] imageData;
        int n;
        for (integer1 = 0; integer1 < integer3; ++integer1) {
            for (i = integer2; i < integer4; ++i) {
                imageData = this.imageData;
                n = integer1 + i * this.imageWidth;
                imageData[n] |= 0xFF000000;
            }
        }
    }
}
