package net.minecraft.client.renderer.entity;

import org.lwjgl.opengl.GL11;
import net.minecraft.game.entity.EntityLiving;
import net.minecraft.client.model.ModelBase;

public final class RenderGiantZombie extends RenderLiving {
    private double scale;
    
    public RenderGiantZombie(final ModelBase modelBase, final double double2, final double double3) {
        super(modelBase, 3.0f);
        this.scale = 6.0f;
    }
    
    public final void preRenderCallback(EntityLiving entity, double f) {
        GL11.glScaled(this.scale, this.scale, this.scale);
    }
}
