package net.minecraft.client.renderer.entity;

import org.lwjgl.opengl.GL11;
import net.minecraft.game.entity.monster.EntitySpider;
import net.minecraft.game.entity.EntityLiving;
import net.minecraft.client.model.ModelBase;
import net.minecraft.client.model.ModelSpider;

public final class RenderSpider extends RenderLiving {
    public RenderSpider() {
        super(new ModelSpider(), 1.0f);
        this.setRenderPassModel(new ModelSpider());
    }
    
    public final double getDeathMaxRotation(EntityLiving eVar) {
        return 180.0f;
    }

    public final boolean shouldRenderPass(EntityLiving entity, int i) {
        EntitySpider spider = (EntitySpider) entity;
        if (i != 0 || i != 0) {
            return false;
        }
        loadTexture("/mob/spider_eyes.png");
        GL11.glEnable(3042);
        GL11.glDisable(3008);
        GL11.glBlendFunc(770, 771);
        GL11.glColor4d(1.0f, 1.0f, 1.0f, (1.0f - spider.getEntityBrightness(1.0f)) * 0.5f);
        return true;
    }
}
