package net.minecraft.game.block;

import java.util.Random;

public final class BlockBookshelf extends Block {
    public BlockBookshelf(final int blockID, final int textureSlot) {
        super(47, 35, Material.wood);
    }
    
    @Override
    public final int getBlockTextureFromSide(final int blockSide) {
        if (blockSide <= 1) {
            return 4;
        }
        return this.blockIndexInTexture;
    }
    
    @Override
    public final int quantityDropped(final Random random) {
        return 0;
    }
}
