package net.minecraft.game.item;

import net.minecraft.game.block.Block;

public final class ItemAxe extends ItemTool {
    private static Block[] blocksEffectiveAgainst;
    
    public ItemAxe(final int itemID, final int harvestLevel) {
        super(itemID, 3, harvestLevel, ItemAxe.blocksEffectiveAgainst);
    }
    
    static {
        ItemAxe.blocksEffectiveAgainst = new Block[] { Block.planks, Block.bookShelf, Block.wood, Block.chest };
    }
}
